import { ProviderSourceTypeEnum } from "#ie/vehicle-positions/workers/vehicle-positions/helpers/ProviderSourceTypeEnum";
import { IGtfsRtTripDto } from "#sch/vehicle-positions/models/interfaces/IGtfsRtTripDto";
import { StatePositionEnum } from "src/const";

export const GtfsRtTripDataFixture: IGtfsRtTripDto[] = [
    {
        last_position: {
            is_canceled: false,
            origin_timestamp: new Date(1678701044),
            last_stop_sequence: null,
            bearing: null,
            lat: 50.078125,
            lng: 14.452339,
            speed: null,
            delay: 1,
            state_position: StatePositionEnum.BEFORE_TRACK,
        },
        stop_times: [],
        id: "test-vehicle-descriptor-metro_32_31",
        provider_source_type: ProviderSourceTypeEnum.TcpMetro,
        run_number: 32,
        internal_run_number: 33,
        start_timestamp: "1678701044",
        cis_line_id: "1",
        cis_trip_number: 1,
        start_time: "1678701044",
        vehicle_registration_number: null,
        gtfs_trip_id: "991_4452_230213",
        gtfs_route_id: null,
        gtfs_route_type: 1, // METRO
        gtfs_route_short_name: "A",
        wheelchair_accessible: true,
    },
    {
        last_position: {
            is_canceled: false,
            origin_timestamp: new Date(1678701044),
            last_stop_sequence: null,
            bearing: null,
            lat: 49.8329353,
            lng: 14.6284266,
            speed: null,
            delay: 1,
            state_position: StatePositionEnum.BEFORE_TRACK,
        },
        stop_times: [],
        id: "test-vehicle-descriptor-train",
        provider_source_type: ProviderSourceTypeEnum.Http,
        run_number: null,
        internal_run_number: null,
        start_timestamp: "1678701044",
        cis_line_id: null,
        cis_trip_number: 12,
        start_time: null,
        vehicle_registration_number: null,
        gtfs_trip_id: "1308_11145_230411",
        gtfs_route_id: null,
        gtfs_route_type: 2, // TRAIN
        gtfs_route_short_name: null,
        wheelchair_accessible: true,
    },
    {
        last_position: {
            is_canceled: false,
            origin_timestamp: new Date(1678701044),
            last_stop_sequence: null,
            bearing: null,
            lat: 50.09905,
            lng: 14.28889,
            speed: null,
            delay: 1,
            state_position: StatePositionEnum.BEFORE_TRACK,
        },
        stop_times: [],
        id: "test-vehicle-descriptor-bus",
        provider_source_type: ProviderSourceTypeEnum.TcpCommon,
        run_number: null,
        internal_run_number: null,
        start_timestamp: "1678701044",
        cis_line_id: null,
        cis_trip_number: null,
        start_time: null,
        vehicle_registration_number: 12233,
        gtfs_trip_id: "100_263_230201",
        gtfs_route_id: null,
        gtfs_route_type: 3, // BUS
        gtfs_route_short_name: null,
        wheelchair_accessible: true,
    },
    {
        last_position: {
            is_canceled: false,
            origin_timestamp: new Date(1678701044),
            last_stop_sequence: null,
            bearing: null,
            lat: 50.09905,
            lng: 14.28889,
            speed: null,
            delay: 1,
            state_position: StatePositionEnum.BEFORE_TRACK,
        },
        stop_times: [],
        id: "test-vehicle-descriptor-arriva-bus_867377023797362",
        provider_source_type: ProviderSourceTypeEnum.TcpRegionalBus,
        run_number: null,
        internal_run_number: null,
        start_timestamp: "1678701044",
        cis_line_id: null,
        cis_trip_number: null,
        start_time: null,
        vehicle_registration_number: 12233,
        gtfs_trip_id: "100_263_230201",
        gtfs_route_id: null,
        gtfs_route_type: 3, // BUS
        gtfs_route_short_name: null,
        wheelchair_accessible: true,
    },
];
